Как понизить версию LibreOffice 4.0 до 3.6?

Как "правильно" понижение версии LibreOffice связано с понижением с 3,5 до 3,4. *. Есть ли способ приятно понизить LibreOffice 4.0 до 3,6? Последнее отсутствует в списках пакетов.

Предпосылки : Именно из-за эта ошибка связана с несовместимостью расширения , которое действительно должно быть основной функциональностью. По сути, 4.0 просто не имеет дело с шаблонами интеллектуальным способом. Вы не можете полностью применить шаблон к существующему документу.

Обновление : на основе apt-cache showpkg libreoffice (найдено в Как понизить пакет с помощью apt-get? ) можно подтвердить, что в LibreOffice 4. * находится только хранилища.

5
задан 13.04.2017, 15:24

3 ответа

Была и эта проблема понижения (с 4.1 до 4.0.4). Нашел это решение на странице libroffice & amp; все работает нормально!

Если у вас нет меню в системе на основе Debian / Ubuntu или у вас проблемы с установкой, скорее всего, вы не удалили полностью дистрибутивную версию LibreOffice. Вам необходимо убедиться, что все бинарные пакеты, перечисленные здесь: https://launchpad.net/ubuntu/+source/libreoffice удалены. В выпусках Ubuntu выполните:

sudo apt-get purge libreoffice*  
sudo apt-get purge openoffice.org-dtd-officedocument1.0 python-uno python3-uno uno-libs3 ure

Источник: https://wiki.documentfoundation.org/ReleaseNotes/4.1#Most_Annoying_Bugs [116 ]

-1
ответ дан 11.10.2019, 15:36

Есть способ понизить рейтинг, но не так «красиво», как хотелось бы.

  1. Установить Synaptic sudo apt-get install synaptic
  2. Удалить libreoffice sudo apt-get purge libreoffice
  3. Добавить Libreoffice 3.6 ppa sudo add-apt-repository ppa:libreoffice/libreoffice-3-6
  4. Обновить список хранилищ sudo apt-get update [ 119]
  5. Установите LO 3.6 sudo apt-get install libreoffice=1:3.6.6-0ubuntu1~precise1~ppa1. Я никогда не делал этого, но есть информация о том, как установить конкретную версию здесь .
  6. Откройте Synaptic, найдите Libreoffice, выберите пакет и в меню пакетов выберите Версия блокировки .

Надеюсь, это поможет.

-1
ответ дан 11.10.2019, 15:36
  • 1
    Спасибо за ответ я только что попробовал его, но это doesn' t работа. – jvdillon 25.07.2013, 19:04

Для меня это сработало:

sudo apt-get install synaptic
sudo apt-get purge libreoffice*
sudo apt-get clean
sudo apt-get autoclean
sudo apt-get autoremove

Затем удалите ppa для LibreOffice4 Добавьте ppa для LibreOffice3.6

sudo apt-get update

через синаптические переустановочные пакеты, которые создают проблемы для меня, это был libexttextcat [ 114]

Установите LibreOffice через synaptic.

2
ответ дан 11.10.2019, 15:36
  • 1
    Ваше предложение работало на меня. Я понизил от LibreOffice 4.4 до 4,2. Однако я не думаю Синаптический, необходимо. Я сделал все в терминале. Я установил с: склонные sudo - получают установку libreoffice, и это хорошо работало для меня. Спасибо – user3780389 05.05.2015, 01:02

Теги

Похожие вопросы